﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class UC1 : System.Web.UI.UserControl
{
    #region Custom event
    public delegate void EventFiredHandler(object sender, EventArgs e);

    public event EventFiredHandler EventFired;

    protected virtual void OnEventFired(EventArgs e)
    {
        if (EventFired != null)
        {
            EventFired(this, e);
        } 
    }

    public void TriggeringMethod()
    {
        EventArgs e = new EventArgs();

        // call the virtual method
        OnEventFired(e);
    }
    #endregion

    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void Button11_Click(object sender, EventArgs e)
    {
        this.TriggeringMethod();
    }

    protected void Button22_Click(object sender, EventArgs e)
    {
        //fired event
    }
}
